For KPs located very closely, pick the one which is most similar & add a wrapper for lemmatisation
to handle some exception cases
Description

Looking at the screenshot attached below, we can see "iteration”, "iterable" & "iterator" are tagged very closely. That is happening
because the lemmatized forms of these KPs are not the same. We need to make the following changes in the code to make sure this
does not happen:

1) Add a wrapper for lemmatization in the code to make sure cases like these are handled explicitly. This can be added in
common_tagging_functions.py

2) Make sure if the KPs are located very closely, we need to pick the most similar one among them for tagging.

You can also refer to the case of "modules” in URL
https://edutestdev-240612.appspot.com/document/python-3-tutorial-pl-2021-10-04-105027.800623-spl/python?documentURL=10014
%2Fprd%2F3%2Ftutorial%2F modules--Packages-in-Multiple-Directories-53.html

History

#1 - 10/06/2021 11:24 AM - Nandini Bansal
- Description updated

#2 - 10/11/2021 05:25 AM - Nandini Bansal
- Assignee set to Nandini Bansal

- % Done changed from 0 to 100

- Estimated time set to 1.00 h

#3 - 10/13/2021 06:41 AM - Nandini Bansal

- Status changed from New to Resolved

#4 - 10/20/2021 08:50 AM - Nandini Bansal

- Status changed from Resolved to Closed
